
//idioma
String[][] polyExplain = new String[30][2];  
String[][] polyControl = new String[17][2];    
String[][] polyScreen = new String[13][2];
String[][] polyTable = new String[10][2];

void setText() { //sets the  texts 
  //Texts shown in the Splash Scren and in the Credits

  polyScreen[0][0]= "DIAGRAMAS DE FASES";
  polyScreen[0][1]="PHASE DIAGRAMS"; 
  polyScreen[1][0] ="Apresentamos nesta simulação interativa, correlações entre a temperatura,\n"+
    "a composição química e a microestrutura de sistemas binários em equilíbrio\n"+
    "termodinâmico, correspondentes à três tipos de diagramas de fase: um isomorfo\n"+
    "(ou de solução sólida), um eutético e o diagrama do sistema Fe-Fe₃C, que possui\n"+
    "uma transformação eutetóide\n";
  polyScreen[1][1]="This interactive animation presents correlations between\n"+
    "temperature, chemical composition and microstructure of binary\n"+
    "systems in thermodynamic equilibrium corresponding to three different\n"+
    "types of phase diagrams: isomorphous (or solid solution), eutectic\n"+
    "and the Fe-Fe₃C system diagram, which possess an eutectoid transformation"; //obviously, this is an highly preliminary tentative of translation



  polyScreen[2][0] = "SELECIONE O DIAGRAMA DE INTERESSE";
  polyScreen[2][1] = "SELECT THE DIAGRAM OF INTEREST";

  polyScreen[3][0]= 
    "\n1. Nas páginas onde estão apresentados os diagramas de fases, controle a composição química e a temperatura da \n    liga clicando e arrastando o"+
    " mouse sobre o diagrama de fases ou digitando valores nas caixas de texto.\n\n"+
    "2. Clique no botão 'travar' para fixar a temperatura ou a composição "+
    "química da liga do sistema selecionado.\n\n"+
    "3. Ao lado direito do diagrama são exibidas duas tabelas e uma janela gráfica, cujos conteúdos são"+
        " função da posição\n   do cursor (ponto preto) sobre o diagrama. A Tabela das Fases e a Janela das"+
         " Microestruturas estão sempre\n   presentes, enquanto a Tabela das Microestuturas só é apresentada em"+
        " casos notáveis, como, por exemplo, quando\n   as microestruturas eutética ou eutetóide se fazem"+
        " presentes.\n\n";
  if(!hideExplainBeta) polyScreen[3][0] += "4. Clique no botão 'Explicação', para ver uma breve explicação sobre o diagrama selecionado.";


  polyScreen[3][1]  = "1. Control the chemical compositin and the temperature by clicking and dragging\n"+
    "    the mouse over the phase diagram or by typing values in the text boxes\n\n"+
    "2. An isotherm or a constant chemical composition is fixed by clicking the\n"+
    "    appropriate Lock button\n\n"+
    "3. The phases' relative chemical composition and the corresponding microstructure\n"+
    "    in the chosen temperature and alloy composition is shown in the right side\n\n" ;      
  if(!hideExplainBeta) polyScreen[3][1] += "4. By clicking in the 'Explain' button, an explanation about the selected diagram\n    is shown";      
  polyScreen[4][0] = "Diagrama de Fases Isomorfo: Sistema Cu-Ni";
  polyScreen[4][1] = "Isomorphous Phase Diagram: Cu-Ni System";
  polyScreen[5][0] = "Diagrama de Fases Eutético: Sistema Pb-Sn";
  polyScreen[5][1]  ="Eutectic Phase Diagram: Pb-Sn System";
  polyScreen[6][0] = "Diagrama de Fases com Ponto Eutetóide: Sistema Fe-Fe₃C";
  polyScreen[6][1] = "Phase Diagrams with Eutectoid Point; Fe-Fe₃C System";
  polyScreen[7][0] = "Composição(%pNi)";
  polyScreen[7][1] = "Composition(%wtNi)";
  
  polyScreen[8][0] = "Composição(%pSn)"; 
  polyScreen[8][1] = "Composition(%wtSn)";
  
  polyScreen[9][0] = "Composição(%pC)";
  polyScreen[9][1] = "Composition(%wtC)";

  polyScreen[10][0] = "Créditos";
  polyScreen[10][1] = "Credits";
  polyScreen[11][0] = "\t\t                                                           CRÉDITOS" +

    "\n\nDesenvolvimento: Gustavo Estevam Gimenes (Aluno do 2º ano do Curso de\n" +
    "                             Engenharia de Materiais - Núcleo Comum, Escola Politécnica\n"+
    "                             da Universidade de São Paulo, São Paulo - SP, Brasil)"                         + 
    "\n\nOrientação: Ivette Frida Cymbaum Oppenheim (Departamento de Engenharia\n" + 
    "                   Metalúrgica e de Materiais, Escola Politécnica da Universidade \n"+ 
    "                   de São Paulo, São Paulo - SP, Brasil)" +
    "\n\nTexto: Ivette Frida Cymbaum Oppenheim e Gustavo Estevam Gimenes\n"+
    "\n\nCriado em:                                           Última atualização: 30/setembro/2011 " + 
    //           " Processing" + 
  "\n\n\nO meio:    'Processing' é uma linguagem de programação e ambiente de desen-" +  
    "\n              volvimento com foco principal nas artes visuais, aproveitando-se da" +
    "\n              plataforma Java e de uma comunidade virtual intensamente atuante por" + 
    "\n              meio do compartilhamento de códigos e bibliotecas através da Internet." + 
    "\n\n                Surgiu como iniciativa de Casey Reas e Ben Fry, pesquisadores do" +
    "\n              Instituto de Tecnologia de Massachussets (MIT) dos E.U.A, sendo, des-" +
    "\n              de sua criação em 2001, disponibilizado gratuitamente como software" +
    "\n              livre, acessível a qualquer interessado a partir do download  no site" + 
    "\n              'processing.org', onde podem ser encontradas informações adicionais" +
    "\n              sobre 'Processing'." +    
    "\n\n\nApoio: A simulação 'Diagramas de Fases' foi desenvolvida no contexto do"+
    "\n           projeto 'Animações para disciplinas Introdutórias de Ciência e"+
    "\n           Engenharia dos Materiais', integrante do 'Programa Ensinar com"+
    "\n           Pesquisa' da Pró-Reitoria de Graduação da Universidade de São"+
    "\n           Paulo, à qual expressamos nossos agradecimentos pela concessão"+
    "\n           da bolsa de Iniciação Científica (Projeto 1887 - ano 2010)."     ; 

  polyScreen[11][1] = "\t\t                                                           CREDITS" +
    "\n\nDevelopment: Gustavo Estevam Gimenes (Second-year student of Materials" +
    "\n                      Engineering - Commom Core, Escola Politécnica"+
    "\n                      da Universidade de São Paulo, São Paulo - SP, Brazil)"                         + 
    "\n\nAdvisor: Ivette F. C. Oppenheim (Departament of Materials and Metallurgical" + 
    "\n              Engineering, Escola Politécnica da Universidade de São Paulo,"+ 
    "\n              São Paulo - SP, Brazil)" +
    "\n\nBuilt with :" + 
    //           " Processing" + 
  "\n\n\nThe media:    'Processing' is an open source programming language and environment" +  
    "\n                     focused on visual arts, enjoying the benefits of the Java platform" +
    "\n                     and of an online community active through the sharing of code and libraries" + 
    "\n\n                      Processing was founded by Ben Fry and Casey Reas, researchers of"+
    "\n                     the Massachussets Institute of Technology (MIT), being available"+ 
    "\n                     since its creation in 2001 as an open-source software, free to"+
    "\n                     dowload in the website 'processing.org', where additional"+
    "\n                     information can be found" + 
    "\n\n\nSupport:    'Animações para Disciplinas Introdutórias de Ciência e Engenharia"  + 
    "\n                 dos Materiais' is part of the 'Programa Ensinar com Pesquisa (PEP)"  +
    "\n                 2010', an initiative of the Pro-Rectorate of Graduate of the"  +
    "\n                 Universidade de São Paulo, to which we express our gratitude for"+
    "\n                 the concession of scholarships ."; 


  polyScreen[12][0] =  "\t\t                                                           CRÉDITOS" +
    "\n\nDesenvolvimento: Gustavo Estevam Gimenes (Aluno do 2º ano do Curso de\n" +
    "                             Engenharia de Materiais - Núcleo Comum, Escola Politécnica\n"+
    "                             da Universidade de São Paulo, São Paulo - SP, Brasil)"                         + 
       "\n\nOrientação: Ivette Frida Cymbaum Oppenheim (Departamento de Engenharia\n" + 
    "                   Metalúrgica e de Materiais, Escola Politécnica da Universidade \n"+ 
    "                   de São Paulo, São Paulo - SP, Brasil)" +
    "\n\nTexto: Ivette Frida Cymbaum Oppenheim e Gustavo Estevam Gimenes\n"+
    
    "\n\nCriado em:                                           Última atualização: 30/setembro/2011 " + 
    "\n\n\nApoio: A simulação 'Diagramas de Fases' foi desenvolvida no contexto do"+
    "\n           projeto 'Animações para disciplinas Introdutórias de Ciência e"+
    "\n           Engenharia dos Materiais', integrante do 'Programa Ensinar com"+
    "\n           Pesquisa' da Pró-Reitoria de Graduação da Universidade de São"+
    "\n           Paulo, à qual expressamos nossos agradecimentos pela concessão"+
    "\n           da bolsa de Iniciação Científica (Projeto 1887 - ano 2010)."+      
     "\n\n                                                       REFERÊNCIAS"+
     "\n 'Introdução à Ciência dos Materiais para Engenharia' (EPUSP - PMT2100), Slides\n"+
     "das aulas teóricas 5 e 6, ano 2009."+
     "\n\nWilliam D. Callister, Jr., 'Materials science and engineering : an introduction',\n"+
     "7ª Edição, editora John Wiley & Sons, 2007 (ISBN: 0-471-73696-1)."+
     "\n\nPhysical-Metallurgy' (MIT 3_40JF09), Notas de aula: aula 21, ano 2009.\n"+
     "ocw.mit.edu/courses/materials-science-and-engineering/3-40j-physical-metallurgy\n"+
     "-fall-2009/lecture-notes/MIT3_40JF09_lec21.pdf - 2010-12-13"+
     "\n\n'ASM handbook v. 9. Metallography and microstructures.' 10ª Edição, ASM\n"+
     "International, 1990."      
        
        ; 
  
  polyScreen[12][1] =  "\t\t                                                           CREDITS" +
    "\n\nDevelopment: Gustavo Estevam Gimenes (Second-year student of Materials" +
    "\n                      Engineering - Commom Core, Escola Politécnica"+
    "\n                      da Universidade de São Paulo, São Paulo - SP, Brazil)"                         + 
    "\n\nAdvisor: Ivette F. C. Oppenheim (Departament of Materials and Metallurgical" + 
    "\n              Engineering, Escola Politécnica da Universidade de São Paulo,"+ 
    "\n              São Paulo - SP, Brazil)" +
    "\n\nBuilt with :" + 
    //           " Processing" + 
  "\n\n\nSupport:    'Animações para Disciplinas Introdutórias de Ciência e Engenharia"  + 
    "\n                 dos Materiais' is part of the 'Programa Ensinar com Pesquisa (PEP)"  +
    "\n                 2010', an initiative of the Pro-Rectorate of Graduate of the"  +
    "\n                 Universidade de São Paulo, to which we express our gratitude for"+
    "\n                 the concession of scholarships ."+
      "\n              concessão da bolsa de Iniciação Científica."  +      "\n\n                                                       REFERENCES"+
     "\n\n Henry Marion Howe, 'The Metallography of Steel and Cast Iron', Editora "+
     " McGraw-\n-Hill Book Company, 1916. "+
      "\n\n William D. Callister, Jr., 'Materials science and engineering : an introduction',\n"+
        "7ª Edição, editora John Wiley & Sons, 2007 (ISBN: 0-471-73696-1)."; ; 

  polyControl[0][0] = "Temperatura (ºC)";
  polyControl[0][1] = "Temperature (ºC)";
  polyControl[1][0] = "Níquel-Cobre\n(Isomorfo)";
  polyControl[1][1] = "Nickel-Copper\n(Isomorphous)";
  polyControl[2][0] = "Chumbo-Estanho\n(Eutético)";
  polyControl[2][1] = "Lead-Tin\n(Eutectic)";
  polyControl[3][0] = "Fe-Fe₃C\n(Eutetóide)";
  polyControl[3][1] = "Fe-Fe₃C\n(Eutectoid)";
  polyControl[4][0]="Explicação";
  polyControl[4][1]="Explanation";
  polyControl[5][0]="Tela Inicial";
  polyControl[5][1]="<<Back";
  polyControl[6][0]="(travar)";
  polyControl[6][1]="(lock)";
  polyControl[7][0]="(destravar)";
  polyControl[7][1]="(unlock)";
  polyControl[8][0]="Ajuda";
  polyControl[8][1]="Help";
  polyControl[9][0]="Ocultar\nExplicação";
  polyControl[9][1]="Hide\nExplanation";
  polyControl[10][0]="Explicação";
  polyControl[10][1]="Explanation";
  polyControl[11][0]="Ocultar\nAjuda";
  polyControl[11][1]="Hide\nHelp";
  polyControl[12][0]="Ajuda";
  polyControl[12][1]="Help";
  polyControl[13][0]= "Ocultar\nCréditos";
  polyControl[13][1]= "Hide\nCredits";
  polyControl[14][0]="Créditos";
  polyControl[14][1]= "Credits";
  polyControl[15][0]="Temperatura\n"; 
  polyControl[15][1]= "Temperature\n"; 
  polyControl[16][0] ="Composição\nda Liga";
  polyControl[16][1] ="Composition";


  polyExplain[0][0]="Um diagrama isomorfo (ou de solução "+
    "sólida) corresponde a uma liga binária "+
    "cujos componentes são completamente "+
    "solúveis entre si para todas as "+
    "composições. \n\n"+
    "Para estudar o comportamento descrito "+
    "pelo diagrama isomorfo Cu-Ni, vamos "+
    "considerar uma liga com composição "+ 
    "35%pNi-65%pCu.\n\n"+
    "Para temperaturas acima de 1261°C o "+ 
    "sistema apresenta apenas a fase "+
    "líquida com composição 35%pNi-65%pCu. ";


  polyExplain[1][0]="A temperatura de 1261 °C é a temperatura "+
    "liquidus da liga 35%pNi-65%pCu. Acima "+
    "dessa temperatura, a fase líquida é a "+
    "única fase estável para o sistema. "+
    "Abaixo dessa temperatura, a fase sólida "
    +"sempre existe.";


  polyExplain[2][0]=
    "Para uma temperatura infinitesimalmente "+
    "inferior à temperatura liquidus, encontram-se "+
    "em equilíbrio termodinâmico a fase "+
    "líquida dominante e os primeiros "+
    "núcleos da fase sólida. As composições "+
    "aproximadas dessas duas fases podem "+
    "ser inferidas a partir da Regra da "+
    "Alavanca, resultando em "+
    "35%pNi-65%pCu para a fase líquida e "+
    "46%pNi-54%pCu para a fase sólida.";  

  polyExplain[3][0]="A Regra da Alavanca permite determinar, "+
                    "para regiões bifásicas de diagramas de "+
                    "fases binários, as composições (coluna "+
                    "3 da tabela ao lado) e as quantidades " +
                    "relativas das fases presentes (coluna 2 "+
                    "da tabela ao lado). Para utilizá-la, "+
                    "primeiro encontramos a composição química "+
                    "de cada uma das fases, dadas, para a " +
                    "fase líquida, pelo ponto no qual a isoterma da liga cruza "+
                    "a linha liquidus e, para a fase sólida (α), pelo ponto no qual a "+
                    "isoterma encontra a linha solidus.";


  polyExplain[4][0]="Sendo a composição da liga dada por C  "+
    "e sendo P = C  - C   e Q = C  - C  , as "+
    "quantidades relativas das fases, W   e W  , "+
    "pela Regra da Alavanca,serão:\n\n"+
    "W  = \n\n\n"+
    "W  = \n\n ";


  polyExplain[5][0]=
  "A temperatura de 1214°C é a temperatura solidus da liga 35%pNi-65%pCu. "
    +"Imediatamente acima da temperatura "+
    "solidus, a solidificação está "+
    "praticamente completa, com a fase sólida "+
    "tendo a composição aproximada de "+
    "35%pNi-65%pCu, e "+
    "o pouco líquido restante tendo composição "+
    "24%pNi-76%pCu.";

  polyExplain[6][0]=  "Abaixo da temperatura solidus da "+
                    "liga, a fase sólida é a única fase "+
                    "estável para o sistema, tendo "+
                    "composição de 35%pNi-65%pCu. A "+
                    "fase sólida é também denominada de "+
                    "fase alfa e geralmente apresenta uma "+
                    "microestrutura policristalina. ";


  //////////////PbSn////////////////////////
  polyExplain[7][0]="Sistemas binários que apresentam "+
        "solubilidade ilimitada no estado "+
        "líquido e solubilidade baixa ou "+
        "desprezível no estado sólido são "+
        "denominados Sistemas Eutéticos. "+
        "É característico dos diagramas de "+
        "fases desses sistemas, a presença "+
        "de uma isoterma onde três fases "+
        "de composição invariante "+
        "coexistem: uma líquida e duas "+
        "outras sólidas. Essa isoterma, "+
        "conhecida como Patamar Eutético "+
        "(vide figura), define a temperatura "+
        "eutética do sistema. A "+
        "composição eutética do sistema "+
        "corresponde àquela em que o "+
        "sistema se encontra integralmente "+
        "no estado líquido, numa "+
        "temperatura infinitesimalmente "+
        "superior à temperatura eutética "+
        "(vide figura). "+
        "No caso do sistema Pb-Sn, a "+
        "composição eutética da liga é "+
        "38,1%pPb-61,9%pSn e sua "+
        "temperatura eutética 183ºC. ";
        

    
 polyExplain[8][0] = "Para estudar o "+
        "comportamento previsto "+
        "pelo diagrama de fases "+
        "para o sistema eutético "+
        "Pb-Sn, vamos considerar "+
        "diferentes regiões de "+
        "composição da liga, "+
        "demarcadas pelas "+
        "composições, C1 a C5, "+
        "conforme indicadas na "+
        "figura ao lado. "     ;

  polyExplain[9][0]=
                    "A solubilidade sólida de Sn em Pb (e vice-versa), "+
                    "é muito pequena e, por isso, é pequena a faixa "+
                    "de composições (C    ) em que uma estrutura "+
                    "sólida monofásica (ou solução sólida) pode se "+
                    "formar. Para temperaturas em torno de 50°C, a "+
                    "solução sólida da fase α (rica em Pb) forma-se "+
                    "para composições da liga no intervalo\n"+
                    "0%pSn < C    < C  , onde "+
                    "C  ≈98.5%pPb-1.5%pSn. "+
                    "A solubilidade sólida máxima de Sn em Pb ocorre na temperatura eutética e é de "+
                    "aproximadamente 18,3%pSn.";
                    
 
  
  polyExplain[10][0]=
        "Para C  < C    < C  , quando a temperatura é "+
        "inferior à temperatura solvus da liga, observa-se "+
        "na microestrutura partículas de fase "+
        "β (rica em Sn) precipitadas na matriz sólida de "+
        "fase α (rica em Pb).";
  

            polyExplain[22][0] = "Para temperaturas em torno de 50°C, a "+
        "solução sólida da fase β (rica em Sn) forma-se para\n"+  
        "C  < C     < 100%pSn, onde "+
        "C  ≈ 0.8%pPb- -99.2%pSn. "+
        "A solubilidade "+
        "sólida máxima de Pb em Sn ocorre na temperatura eutética e é de "+
        "aproximadamente 2,2%pPb.";

      

  polyExplain[11][0]=
            "Quando, a partir do estado líquido, retiramos "+
            "calor da liga de composição eutética,\nC     = C  "+
            "= 38,1%pPb-61,9%pSn, sua temperatura diminui "+
            "até que a temperatura eutética seja atingida. "+
            "Nessa temperatura ocorre a transformação "+
            "eutética, que é a transformação da fase líquida "+
            "(C  = 38,1%pPb-61,9%pSn) nas duas fases "+
            "sólidas, a α (C  = 81,7%pPb-18,3%pSn) e a β (C  "+
            "= 2,2%pPb-97,8%pSn). Quando a fase líquida "+
            "solidifica integralmente, a temperatura volta a "+
            "diminuir. A microestrutura do sólido de "+
            "composição eutética, denominada de "+
            "microestrutura eutética, é lamelar, ou seja, é "+
            "composta de camadas alternadas das fases α e β. ";
            
  polyExplain[13][0]=
        "Para temperaturas imediatamente inferiores à temperatura "+
        "eutética e C  < C     < C , a micro- estrutura do "+
        "sólido é composta de partículas do sólido α proeutético, "+
        "imersas em um sólido de microestrutura "+
        "eutética.";
        
  //

  polyExplain[12][0]=
        "Quando, a partir do estado líquido, retiramos "+
        "calor de uma liga de composição hipoeutética,\n"+
        "C  < C     < C  , sua temperatura diminui até que a "+
        "temperatura eutética seja atingida. Para "+
        "temperaturas inferiores à temperatura liquidus "+
        "coexistem em equilíbrio termodinâmico a fase "+
        "líquida e a fase sólida α (sólido α pró-eutético). "+
        "No patamar eutético (isoterma de temperatura "+
        "eutética), a fase líquida que ainda resta sofre a "+
        "transformação eutética. Quando a fase líquida "+
        "solidificou integralmente, a temperatura volta a "+
        "diminuir.";
        



        

        
     polyExplain[24][0] = "Para C  < C     < C  , quando a temperatura é "+
        "inferior à temperatura solvus da liga, observa-se "+
        "na microestrutura partículas de fase "+
        "α (rica em Pb) precipitadas na matriz sólida de "+
        "fase β (rica em Sn).";
       polyExplain[25][0] = "Para C  < C     < C  , quando a temperatura é "+
        "inferior à temperatura solvus da liga, observa-se "+
        "na microestrutura partículas de fase "+
        "α (rica em Pb) precipitadas na matriz sólida de "+
        "fase β (rica em Sn).";
        polyExplain[26][0] = "Quando a partir do estado líquido, retiramos "+
        "calor de uma liga de composição hipereutética,\n"+
        "C  < C     < C , sua temperatura diminui até que a "+
        "temperatura eutética seja atingida. Para "+
        "temperaturas inferiores à temperatura liquidus "+
        "coexistem em equilíbrio termodinâmico a fase "+
        "líquida e a fase sólida β (sólido β pró-eutético). "+
        "No patamar eutético (isoterma de temperatura "+
        "eutética), a fase líquida que ainda resta sofre a "+
        "transformação eutética. Quando a fase líquida "+
        "solidifica integralmente, a temperatura volta a "+
        "diminuir.";


  /////////////////////FE3C///////////////
  
  polyExplain[28][0] = "A isoterma caracterizada pela "+
        "coexistência das três fases "+
        "sólidas α, γ e Fe₃C, de "+
        "composições invariantes, 0.022%pC, 0.76%pC e 6.7%pC, respectivamente, é "+
        "denominada Patamar Eutetóide "+
        "(vide figura). Esse patamar "+
        "define a denominada "+
        "Temperatura Eutetóide. A Temperatura Eutetóide e a "+
        "Composição Eutetóide, por sua "+
        "vez, definem o Ponto Eutetóide (vide "+
        "figura). A "+
        "composição eutetóide da liga "+
        "corresponde àquela em que o "+
        "sistema se encontra "+
        "integralmente na fase γ, numa "+
        "temperatura infinitesimalmente "+
        "superior à temperatura "+
        "eutetóide. No caso "+
        "do sistema Fe-C, a composição "+
        "eutetóide da liga é de 0,76%pC e a "+
        "temperatura eutetóide de 727°C.";
        
              
    polyExplain[29][0] = "Para explorar um pouco o "+
        "comportamento previsto pelo "+
        "diagrama de fases, vamos "+
        "considerar as fases e "+
        "microestruturas formadas "+
        "durante o resfriamento de ligas "+
        "de composições C  , C  , C   \ne C  , "+
        "conforme indicadas na figura ao "+
        "lado.";
  
         polyExplain[15][0]=
    "Quando, a partir da fase austenita (γ), retiramos calor de uma liga com a "+
    "composição C  eutetóide, "+
    "sua temperatura diminui até que a temperatura "+
    "eutetóide seja atingida. Ocorre então a tranformação isotérmica denominada eutetóide,  "+
    "que consiste na transformação da fase sólida austenita "+
    "(γ) nas duas fases sólidas ferrita (α) e "+
    "cementita (Fe₃C). Quando toda a austenita se "+
    "esgota, a temperatura da liga volta a diminuir. A "+
    "microestrutura formada durante a transformação eutetóide, é composta de lamelas "+
    "alternadas de ferrita e cementita e é chamada "+
    "de microestrutura eutetóide ou perlítica.";
    
      polyExplain[16][0]=
    "Quando, a partir da fase austenita, retiramos "+
    "calor de um sistema de composição C "+
    "hipoeutetóide (concentração de carbono entre "+
    "0,022%pC e 0,76%pC), sua temperatura "+
    "diminui.";  
    
      polyExplain[17][0]= "Para temperaturas inferiores à "+
"temperatura solvus, temos a formação da "+
"ferrita proeutetóide, que nucleia e cresce nos contornos de "+
"grão da austenita.";
    
    
  polyExplain[18][0]= "Quando a liga atinge a temperatura "+
                      "eutetóide, a fase austenita remanescente na "+
                      "liga sofre a transformação isotérmica eutetóide e "+
                      "adquire microestrutura perlítica. Quando toda a "+
                      "austenita se esgota, a temperatura volta a "+
                      "diminuir. Para temperaturas imediatamente inferiores à "+
                      "temperatura eutetóide, a microestrutura do "+
                      "sólido é composta de regiões de ferrita proeutetóide "+
                      "(que não participa da transformação "+
                      "eutetóide) imersas em um sólido de "+
                      "microestrutura perlítica.";

 polyExplain[19][0]=
  "A partir da fase austenita, ocorre um processo de resfriamento "+
  "análogo ao da liga com composição C  para uma "+
  "liga de composição C  hipereutetóide (concentração de "+
  "carbono entre 0.76%pC e 2.1%pC). Quando a "+
  "temperatura da liga se torna inferior à  "+
    "temperatura solvus, cementita proeutetóide "+
    "nucleia e cresce nos contornos de "+
    "grão da austenita. "+
    "Quando o sistema atinge a temperatura "+
    "eutetóide, a fase austenita remanescente "+
    "sofre a transformação eutetóide e "+
    "adquire microestrutura perlítica. "+
    "Para temperaturas imediatamente inferiores à "+
    "temperatura eutetóide, a microestrutura do "+
    "sólido é composta de regiões de cementita proeutetóide "+
    "(que não participam da transformação "+
    "eutetóide) imersas em um sólido de "+
    "microestrutura perlítica.";

  polyExplain[20][0]="O sistema também possui um ponto "+
    "eutético à temperatura de 1147 °C e "+
    "composição de 95.7%pFe-4.3%pC. Quando, a partir do estado líquido, retiramos calor de uma liga com a composição eutética, sua temperatura diminui "+
    "até que a temperatura eutética seja atingida. Nessa "+
    "temperatura ocorre a transformação "+
    "eutética, que consiste na transformação da fase líquida em duas fases "+
    "sólidas, a austenita (com composição 97.9%pFe-2.1%pC) e a cementita (com composição 93.3%pFe-6.7%pC). "+ 
    "A microestrutura do sólido de composição eutética, que consiste em  partículas de cementita dispersas numa matriz austenítica, é denominada ledeburita-I."; 

  polyExplain[21][0]="Com o resfriamento da liga com a estrutura da ledeburita-I para a temperatura eutetóide de 727°C, "+
                      "a austenita presente no sistema sofre a transformação eutetóide, dando "+
                      "origem a ferrita alfa e cementita num "+
                      "arranjo perlítico, formando a microestrutura "+
                      "da ledeburita-II.";

        //
  polyTable[0][0]="Fase";
  polyTable[0][1]="Phase";
  polyTable[1][0]="Fração\n(%p)";
  polyTable[1][1]="Fraction\n(%wt)";
  polyTable[2][0]="Composição\n(%p)";
  polyTable[2][1]="Composition\n(%wt)";
  polyTable[3][0]="Líquido";
  polyTable[3][1] ="Liquid";
  polyTable[4][0]="Sólido-\nAlfa";
  polyTable[4][1]="Solid-\nAlpha";
  polyTable[5][0]="%p";        
  polyTable[5][1]="%wt";
  polyTable[6][0]="Sólido-\nBeta";
  polyTable[6][1]="Solid-\nBeta";
  polyTable[7][0]="Austenita";
  polyTable[7][1]="Austenite";
  polyTable[8][0]="Ferrita\nDelta";
  polyTable[8][1]="Delta\nFerrite";
  polyTable[9][0]="Cementita";
  polyTable[9][1]="Cementite";
}     

