void div(String dividend, String divisor, float x, float y){
  textAlign(CENTER);   
  text(dividend, x,y);
  int s = (dividend.length()>divisor.length()) ? dividend.length() : divisor.length();
  stroke(0);
  line(x-10*s,y+3, x+10*s, y+3);
  text(divisor, x, y+20);
  textAlign(LEFT);
} 

void sub(String s, PFont font, int TextSize, float x, float y){ //given char's coordinates and the original fontSize, prints a smaller character 
     pushStyle();
     textFont(font, TextSize/1.5);
     text(s, x, y);
     textFont(font, TextSize);
     popStyle();
}

void variable(String var, String explicacao, float x, float y, int f, float boxPosx, float boxPosy, float boxWidth, float boxHeight) { 
  //dado uma fórmula guardada num array var e a explicação bonitinha
  //guardada no explicacao, vai escrever na tela a fórmula e, quando o mouse estiver sobre algum termo, sua definição será exibida 
  //os dois vetores devem ter o mesmo tamanho. f é o tamanho da fonte. vai desenhar um vetor em cima da letra caso ela seja precedida por *; faz subscrito de seguida por _
  pushStyle();
  textSize(f);
  textLeading(f);

textAlign(CENTER);
  stroke(0);
    fill(100, 100, 200);
   text(var, x, y);
    textAlign(LEFT);  
fill(0);
  if((mouseX>(x-f*var.length()/4))&&(mouseX<(x+f*var.length()/4))&&(mouseY>(y-f))&&(mouseY<(y))) {
    explicacao(boxPosx, boxPosy, explicacao, boxWidth, boxHeight, f);
    loop();
  }

  popStyle();
}

void explicacao(float xpos, float ypos, String explain, float vwidth, float vheight, int f) { //will create a pop-up to explain some variable; xpos and ypos are the position of the variable; 
  loop();
  boolean toggleText = true;
  pushStyle();
  //first, this smooth transition, using millis 
  stroke(0);
  fill(150);
  rectMode(CORNER);
  noStroke();
  fill(240);
  if(vwidth!=0)   rect(xpos,ypos,vwidth,vheight);
  textSize(f);
  textAlign(LEFT);
  fill(0);
  textLeading(f);
  text(explain, xpos+f/6, ypos, vwidth, vheight);
  popStyle();
}
