//declarando variáveisfes
//Textfields by John
FloatNumberBox Comp1;
FloatNumberBox Comp2;
FloatNumberBox Temp;

//cursor
float xcursor = 70;
float ycursor = 70;    
float temperatura;
float composicao;

//declarando diagramas e fonte 
PImage aco;
PImage nicu;
PImage pbsn;
PImage displayaco;
PImage displaynicu;
PImage displaypbsn;
PImage[] icon; //icones para a splash screen
PImage exp1, exp2, exp3, exp4, exp5;

//fontes
PFont fontText;
PFont fontButton;
PFont fontTitle;

//botoes 
Button[] diagrama;
Button  explicar;
Button back;
Button temp;
Button comp;
Button etapaAvanca;
Button etapaVolta;
Button ajuda;
Button language;
Credito credito;

boolean etapaEnd; //controla o fim da explicacao  
boolean xlock;    //trava a composicao
boolean ylock;    //trava a temperatura
boolean ajudar = false;
boolean drag = false;

//inicio = 0;
//NiCu = 1;
//PbSn = 2;
//Aco = 3;

int tipo = 0;

String fase = "LÍQUIDO";
color c;

//pg guarda a estrutura da fase
PGraphics pg;
//variaveis usadas na estrutura lamelar
PGraphics pgTexture;
PGraphics pgMask1;
PGraphics pgMask2;
PGraphics pgMask3;
PGraphics pgShape;
PGraphics  lamelar;
//máscara para fazer a textura lamelar
PImage piMask;  
PImage textura;
float raio[];

//explicacao
PImage show;//imagem a ser mostrada na explicacao
boolean flow;//controla a animação
int etapa=0;
boolean explain = false; //boolean que controla se as explicações serão exibidas ou não ]


//variáveis usadas na Função Alavanca
float linha1=0;
float linha2=0;
float xinicio = 70;
float xfim = 678;
float W1,W2; //W1 vai ser uma auxiliar para a fase Alfa +Fe3C
boolean t;

//lamelar
PImage lamelar1;
PImage lamelar2;
PImage lamelar3;


//a primeira dimensão de cada vetor guarda o texto a ser mostrado (que vai variar de um a muito
//e a segunda guarda a língua. Todos os textos estarão na função setText                                                           
int lang = 0;                    //port = 0; eng = 1; 
//pelo bem da compreensão mútua, dividimos isso para cada seção escrita 

boolean hideExplainBeta = false; // vai esconder a parte das explicações
//MUDE AQUI PARA DESATIVAR\ATIVAR EXPLICAÇÃO

int countRedraw =0; //trick for redrawing during explanation 

void setup() {
  //size
  size(925, 610); 
  frameRate(24);
  hint(ENABLE_NATIVE_FONTS);

  Locale.setDefault(Locale.US); //necessário pelas textlabels

  //carregando diagramas e a fonte
  //imagens com áreas demarcadas, usadas para encontrar as fases
  //fazer a regra da alavanca  
  nicu = loadImage("nicu.png");
  pbsn = loadImage("pbsn.png");
  aco = loadImage("aco.png");
  //imagens em branco a serem mostradas
  displaynicu = loadImage("nicu1.png");
  displaypbsn = loadImage("pbsn1.png");
  displayaco = loadImage("aco1.png");
  credito= new Credito();
  //fazendo icones para splash screen
  icon = new PImage[7]; 
  icon[0] = loadImage("icon1.png");
  icon[1] = loadImage("icon2.png");
  icon[2] = loadImage("icon3.png");
  icon[3] = loadImage("icon4.png");
  icon[4] = loadImage("icon5.png");
  icon[5] = loadImage("icon6.png");
  icon[6] = loadImage("icon7.png");
  //imagens para a explicação 
  exp1 = loadImage("exp1.png");
  exp2 = loadImage("exp2.png");
  exp3 = loadImage("exp3.png");
  exp4 = loadImage("exp4.png");
  exp5 = loadImage("exp5.png");

  //Carregando fontes
  fontButton = loadFont("ArialUnicodeMS-28.vlw"); //estranhamente, usado para legendas
  fontText =  loadFont("ArialUnicodeMS-24.vlw");
  fontTitle = loadFont("ArialUnicodeMS-72.vlw");

  smooth();
  setText();

  //criando floatboxes
  //inicializando botões e caixas
  Comp1 = new FloatNumberBox(displayaco.width, 212, 80, 20, 1.0, 2, 100.0, 0.0, 0.01, 1, 1, 1.0/8.0, color(0));
  Comp2 = new FloatNumberBox(displayaco.width, 237, 80, 20, 1.0, 2, 100.0, 0.0, 0.01, 1, 1, 1.0/8.0, color(0));
  Temp = new FloatNumberBox(displayaco.width, 152, 80, 20, 1.0, 2, 3000.0, 0.0, 0.01, 1, 1, 1.0/8.0, color(0));

  diagrama = new Button[3];

  diagrama[0]= new Button(185, 270, 122, 40,  polyControl[1][lang], true);
  diagrama[1]= new Button(470, 270,  122,40,polyControl[2][lang], true);
  diagrama[2]= new Button(740, 270, 122,40,polyControl[3][lang], true);

  explicar = new Button(aco.width+3, 87, 80,30,polyControl[4][lang], true);
  comp = new Button(displayaco.width+107, 183, 75,20,polyControl[6][lang], true);
  temp = new Button(displayaco.width+107,138,75,20,polyControl[6][lang], true);

  language = new Button(displayaco.width+120,580,80,30,"English", true);


  if(!hideExplainBeta) {
    ajuda = new Button(displayaco.width+94, 87, 80,30, polyControl[8][lang], true);
    back = new Button(displayaco.width +51, 41, 80,30, polyControl[5][lang], true);
  }
  else {
    ajuda = new Button(displayaco.width+3, 87, 80,30, polyControl[8][lang], true);
    back = new Button(displayaco.width +100, 87, 80,30, polyControl[5][lang], true);
  }

  etapaVolta = new Button(350,430, 40,20,"<<", true);
  etapaAvanca = new Button(400, 430, 40,20,">>", true);

  //PGraphics que desenha a estrutura
  pg = createGraphics(100, 100, P2D); 

  //PGraphics que armazena a textura lamelar
  lamelar = createGraphics(150,150, P2D);
  pgMask1 = createGraphics(100, 100, P2D);
  pgMask2 = createGraphics(100, 100, P2D);
  pgMask3 = createGraphics(100, 100, P2D);
  pgShape = createGraphics(100, 100, P2D);
  raio = new float[4];
}

//desenha a imagem
void draw() {
  noLoop();
  // println(frameRate);
  background(255);

  if(tipo == 0) {
    fill(0);
    textFont(fontTitle,48);
    textAlign(CENTER,CENTER);
    fill(31,142,0);
    text(polyScreen[0][lang], g.width/2, 55);
    textFont(fontText, 20);
    textAlign(CENTER);
    textLeading(20);
    fill(0);
    text(polyScreen[1][lang]
      ,width/2, 110); 

    fill(31,142,0);
    text(polyScreen[2][lang], width/2, 225);
    fill(0);
    textFont(fontText, 18);
    textAlign(LEFT);
    imageMode(CENTER);
    image(icon[0],width/2-280, 350);
    image(icon[1],width/2+8, 350);
    image(icon[2],width/2+280, 350);
    imageMode(CORNER);
    textSize(13);
    textLeading(14);
    text(polyScreen[3][lang],width/2-346, height*3/4-40, 695, 400);

    variable("Tabela das Fases", "Nomeia as fases presentes na liga, "+
      "apresenta a fração percentual em peso "+
      "dessas fases e fornece sua composição "+
      "em termos da fração percentual em "+
      "peso dos componentes presentes na fase.", 436, 529, 13,  380, 427, 210, 87); 
    variable("Janela das Microestruturas", "Representação visual semiquantitativa da microestrutura da liga.", 592, 529, 13,  590, 483, 230, 33); 
    variable("Tabela das Microestuturas", "Nomeia as microestruturas presentes e fornece sua fração percentual em peso na liga.", 338, 543, 13,  338, 545, 230, 33); 
    //(String var, String explicacao, float x, float y, int f, float boxPosx, float boxPosy, float boxWidth, float boxHeight)*/
    manageButtons();
    credito.display();
  }
  else {     
    credito.showCred= false;
    //controlando os tipos de diagramas a serem mostrados
    //escrevendo as legendas
    textAlign(CENTER,CENTER);

    if(tipo==1) {
      image(displaynicu,0,0);
      //titulo
      fill(177,17,23);
      textFont(fontText, 16);
      text("Líquido", 253,190);
      text("Sólido ɑ", 495, 413);
      pushMatrix();
      translate(268, 360);
      rotate(-PI/6.5);
      text("Linha Líquidus", 0, -28);
      text("Linha Solidus", 0, 23);
      popMatrix();

      fill(31,142,0);
      textFont(fontTitle, 24);
      text(polyScreen[4][lang],aco.width/2, 35);
      fill(0);
      textFont(fontButton,14);
      if(!explain) {
        for(int i = 67; i<=539; i+=78) {   
          text(100*(600*(i-539)/(100*(70-539))+10),   50,i);
        }
        for(int i = 70; i<=690; i+=122) {
          text(20*(i-70)/122, i, 550,i);
        }
        //Fazendo a alavanca também dar a temperatura 

        textFont(fontButton,20);
        text(polyScreen[7][lang], displayaco.width/2, displayaco.height-30);
        textAlign(LEFT);
        pushMatrix();
        rotate(-PI/2);
        textFont(fontButton,20);
        text(polyControl[0][lang], -displayaco.width/2+10, 30) ;
        popMatrix();
      }

      fill(0);
      textFont(fontText, 18);
      textAlign(CENTER,CENTER);
      textLeading(16);
      text(polyControl[16][lang], 758,179);
      text("Cu", 801, 210);
      text("Ni", 799,234);
      text(polyControl[15][lang], 758, 135);
      text("ºC", 801, 148);
    }

    if(tipo==2) {
      //titulo
      fill(31,142,0);
      textFont(fontTitle, 24);
      text(polyScreen[5][lang], aco.width/2, 35);
      textFont(fontButton,14);
      image(displaypbsn,0,0);      

      fill(177,17,23);
      textFont(fontText, 16);
      text("Líquido", 475,166);
      text("Líquido+ɑ", 264, 248);
      text("Líquido+β", 602, 266);
      text("ɑ", 110, 267);
      text("β", 670, 296);
      text("ɑ+β", 414, 396);

      fill(0);
      if(!explain) {
        for(int i = 136; i<=539; i+=134) {
          text((300)*(i-539)/(10*(137-539))*10, 50,i);
        }
        for(int i = 70; i<=690; i+=122) {
          text(20*(i-70)/122, i, 550,i);
        }
        //  text("ºC", 801, 148);
        textFont(fontButton,20);
        text(polyScreen[8][lang], displayaco.width/2, displayaco.height-30);
        textAlign(LEFT);
        pushMatrix();
        rotate(-PI/2);
        textFont(fontButton,20);
        text(polyControl[0][lang], -displayaco.width/2+10, 30) ;
        popMatrix();
      }
      textAlign(CENTER,CENTER);
      fill(0);
      textFont(fontText, 18);
      textLeading(16);
      text(polyControl[16][lang], 758,179);
      text("Pb", 801, 210);
      text("Sn", 801,234);
      text(polyControl[15][lang], 758, 135);
      text("ºC", 801, 148);
    }

    if (tipo==3) {
      //titulo
      fill(31,142,0);
      textFont(fontTitle, 24);
      text(polyScreen[6][lang], aco.width/2, 35);


      image(displayaco, 0,0);
      fill(177,17,23);
      textFont(fontText, 12);
      text("Líquido", 486,180);
      text("Fe₃C+Líquido", 579, 233);
      text("γ+Líquido", 272, 195);


      fill(0);
      textFont(fontButton,14);

      if(!explain) {
        for(int i = 70; i<=539; i+=78) {
          text(100*((1200)*(i-539)/(100*(70-539))+4), 50,i);
        }
        for(int i = 70; i<=690; i+=91) {
          text((i-70)/91, i, 550,i);
        }

        textFont(fontButton,20);
        text(polyScreen[9][lang], displayaco.width/2, displayaco.height-30);
        textAlign(LEFT);
        pushMatrix();
        rotate(-PI/2);
        textFont(fontButton,20);
        text(polyControl[0][lang], -displayaco.width/2+10, 30) ;
        popMatrix();
      }
      textAlign(CENTER,CENTER);
      fill(0);
      textFont(fontText, 18);
      textLeading(16);
      text(polyControl[16][lang], 758,179);
      text("Fe", 800, 210);
      text("C", 796,234);
      text(polyControl[15][lang], 758, 135);
      text("ºC", 801, 148);
    }

    fill(0);
    //desenha a estrutura
    Desenho(W2, fase);

    image(pg,  displayaco.width-35, 260, 180,120);  
    //Exceções não desenhadas mais em desenho, por ficarem por cima da imagem do desenho
    if(fase == "TRANSIÇÃO\nDE FASES") {
      pg.background(255);
      pg.fill(0);   
      //redraw();
      //DrawGrao(pg, 0, 0);
      fill(255);
      //stroke(0);
      strokeWeight(1.2);
      rect(716,262,176,116);
      fill(0);
      textAlign(CENTER,CENTER);  

      textFont(fontText,16);
      textLeading(16);
      if((explain)&&( ((tipo==3)&&(etapa<=2))||(tipo==2&&etapa<2))) {
      }
      else {
        if(lang == 0) text("Transição de\nFases",801,320);
        if(lang == 1) text("Phase\nTransition", 801, 320);
      }
      //}   

      textAlign(LEFT);
    }

    if(fase == "LÍQUIDO") {
      pg.background(255);
      pg.fill(0);   
      //redraw();
      //DrawGrao(pg, 0, 0);
      fill(240);
      //stroke(0);
      strokeWeight(1.2);
      rect(716,262,176,116);
      fill(0);
      textAlign(CENTER,CENTER);  

      textFont(fontText,16);
      text("Líquido",801,320); 
      DrawGrao(pg, 0, 0);
      textAlign(LEFT);
    }


    //////




    //Barra do cursor, bom feedback 
    stroke(0,240); 
    line(linha1, ycursor,linha2, ycursor);
    //desenha o cursor
    fill(0);  
    ellipse(xcursor, ycursor, 5, 5);
    //desenha a tabela
    tabela(displayaco.width-35, 390);
    //faz a explicação
    // if(!hideExplainBeta) {
    if(explain == true) {
      Fase(); 
      explicacao();
      explicar.texto = polyControl[9][lang];
      redraw();
    }
    else explicar.texto = polyControl[10][lang];
    //}
    manageButtons();

    if(ajudar==true) {
      ajuda.texto=polyControl[11][lang];
      fill(240, 240);
      noStroke();
      rect(277-20,63-10,425, 426);
      fill(0);
      textFont(fontText, 24);
      text("Ajuda", 325-20,260+10);  
      textFont(fontText, 14);
      textLeading(12);
      textAlign(LEFT);
      stroke(0);

      text("Clique para voltar à tela inicial", 385-20,65-10, 300, 300);  
      line(580-20,75-10,748,41);
      text("Clique para exibir uma explicação sobre o diagrama de fases", 385-20,85-10, 306, 300);
      line(655-20,97-10,702,92);
      text("Temperatura da liga: clique na caixa de texto e digite uma temperatura no intervalo mostrado no diagrama ou controle arrastando o cursor sobre o diagrama",  385-20,123-10, 300, 300);
      line(666,148, 706, 147);
      text("Clique para travar a temperatura da liga", 385-20,186-20, 300, 300);
      line(642-20,183-10, 806, 148);
      text("Composição da liga: clique nas caixas de texto e digite uma composição (em peso) para cada elemento da liga ou controle arrastando o cursor sobre o diagrama", 385-20,194-10, 300, 300);
      line(680-20,210,703,214);
      text("Clique para travar a composição da liga",  385-20,247-10, 300, 300);
      line(640-20,248,806,192  );

      text("Representação visual qualitativa da microestrutura da liga, baseada nas fases presentes na liga (cor) e em suas frações relativas (área ocupada), calculadas pela Regra da Alavanca",385-20,265-10, 300, 300);
      line(639,284,707,321);

      text("Fase: nomeia as fases presentes na liga. A cor de "+
        "fundo da célula corresponde à cor utilizada para "  +
        "representar a fase na janela das microestruturas\n" +
        "Fração (%p): fração percentual em peso das "+
        "diferentes fases presentes na liga\nComposição (%p): composição das fases, expressa "+
        "em termos da fração percentual em peso dos "+
        "componentes presentes na fase\n"+
        "Observação: Todos os valores numéricos foram "+
        "calculados utilizando-se a Regra da Alavanca ",385-20,330-10, 300, 300);

      line(673-20,395-10, 710, 402);

      if((fase=="ALFA+BETA")||(fase=="PERLITA")||(fase=="AUSTENITA+CEMENTITA")) {
        fill(240, 240);
        noStroke();
        rect(277-20,488-10,425, 110);
        fill(0);  
        text("Microestrutura: nomeia as microestruturas presentes "+
          "na liga. O padrão utilizado para o fundo da célula "+
          "corresponde ao padrão utilizado para representar a "+
          "microestrutura na janela das microestruturas\n"+
          "Fração (%p): fração percentual em peso das "+
          "diferentes microestruturas presentes na liga, obtidas "+
          "com base na Regra da Alavanca",385-20,485-10, 300, 300);
        stroke(0);
        line(680-20,528-10, 710, 500);
      }
    }

    else ajuda.texto=polyControl[12][lang];
  }

  if(explain) {
    if((flow==true)) {
      loop();
      composicao();
      temperatura();
      // função fase (checa a fase da região do diagrama) 
      // função alavanca (faz a regra da alavanca e dá a composição percentual)
      Alavanca();

      Temp.setData(temperatura);
      Comp1.setData(100-composicao); 
      Comp2.setData(composicao);
    }
    else {
      if(countRedraw == 0) noLoop();
      else {
        countRedraw--;
        loop();
        composicao();
        temperatura();
        // função fase (checa a fase da região do diagrama) 
        Fase(); 
        // função alavanca (faz a regra da alavanca e dá a composição percentual)
        Alavanca();
        Temp.setData(temperatura);
        Comp1.setData(100-composicao); 
        Comp2.setData(composicao);
      }
    }
  }
}

boolean moving=false;

void mouseMoved() {
  if(tipo==0)    redraw();
  else {
    if((mouseY>19)&&(mouseY<250)&&(mouseX>690)&&(mouseX<914)) {
      redraw();
    }
    if(explain) redraw();
  }
}

void manageCursor() {
  redraw();
  if((mouseX>=60)&&(mouseX<690)&&(mouseY>=60)&&(mouseY<550)) {
    if(!explain) {
      if(!ylock) xcursor = mouseX;
      if(!xlock) ycursor = mouseY;
    }
  }
  if(xcursor<70) xcursor = 70;
  if(xcursor>678) xcursor = 678;
  if(ycursor<70) ycursor = 70;
  if(ycursor>539) ycursor = 539;
}  

//controla o cursor sobre os diagramas
void mouseDragged() {
  manageCursor();
  composicao();
  temperatura();
  // função fase (checa a fase da região do diagrama) 
  Fase(); 
  // função alavanca (faz a regra da alavanca e dá a composição percentual)
  Alavanca();
  Temp.setData(temperatura);
  Comp1.setData(100-composicao); 
  Comp2.setData(composicao);

  redraw();
}

void mousePressed() {  
  println(mouseX + " " + mouseY);
  //analisamos se os botões foram acionados
  moving = true;

  if(tipo ==0) {
    credito.mousePressed();
    //clicando no icone, clica no botão

    if((mouseY>293)&&(mouseY<403)) {
      if((mouseX>120)&&(mouseX<240)) diagrama[0].pressed=true;
      if((mouseX>408)&&(mouseX<530)) diagrama[1].pressed=true;
      if((mouseX>680)&&(mouseX<800)) diagrama[2].pressed=true;
    }

    if (diagrama[0].press() == true) {
      tipo = 1;
      Temp.MaxData=1600;
      Temp.MinData =1000;
      Comp1.MinData = 0;
      Comp2.MaxData = 100;

      xcursor = 70;
      ycursor = 70;
      // função alavanca (faz a regra da alavanca e dá a composição percentual)
      Alavanca();
      composicao();
      temperatura();
      // função fase (checa a fase da região do diagrama) 
      Fase(); 
      Temp.setData(temperatura);
      Comp1.setData(100-composicao); 
      Comp2.setData(composicao);
      pushStyle();
      Desenho(W2, fase);
      popStyle();
      loop();
    }

    if (diagrama[1].press() == true) {
      tipo = 2;
      Temp.MaxData=350;
      Temp.MinData =0;
      Comp1.MinData = 0;
      Comp2.MaxData = 100;

      xcursor = 70;
      ycursor = 70;
      // função alavanca (faz a regra da alavanca e dá a composição percentual)
      Alavanca();
      composicao();
      temperatura();
      // função fase (checa a fase da região do diagrama) 
      Fase(); 
      Temp.setData(temperatura);
      Comp1.setData(100-composicao); 
      Comp2.setData(composicao);
      pushStyle();
      Desenho(W2, fase);
      popStyle();
      loop();
    }

    if (diagrama[2].press() == true) { 
      tipo = 3;
      Temp.MaxData=1600;
      Temp.MinData =400;
      Comp2.MaxData = 6.7;

      xcursor = 70;
      ycursor = 70;
      // função alavanca (faz a regra da alavanca e dá a composição percentual)
      Alavanca();
      composicao();
      temperatura();
      // função fase (checa a fase da região do diagrama) 
      Fase(); 
      Temp.setData(temperatura);
      Comp1.setData(100-composicao); 
      Comp2.setData(composicao);
      loop();
    }
  }

  if((ajuda.press()==true)&&(ajudar==true)) {
    ajudar = false;
  }
  else if((ajuda.press() == true)&&(ajudar==false)) {
    ajudar = true;
    explain=false;
  } 

  if((explicar.press()==true)&&(explain==true)) {
    explain = false;
    etapa=0;
  }
  else if((explicar.press() == true)&&(explain==false)) {
    explain = true;
    countRedraw = 3;
    ajudar = false;
  } 

  if (back.press() == true) {
    tipo = 0;
    explain=false;
    ajudar=false;
    etapa=0;
    comp.texto=polyControl[6][lang];
    temp.texto=polyControl[6][lang];   
    xlock=false;
    ylock=false;
  }
  if(!explain) {
    if((temp.press()==true)&&(xlock==true)) {
      xlock =  false;
      temp.texto=polyControl[6][lang];
    }
    else if((temp.press() == true)) {
      xlock = true;   
      temp.texto=polyControl[7][lang];
      ylock = false;
      comp.texto=polyControl[6][lang];
    } 

    if((comp.press() == true)&&(ylock==true)) {
      ylock = false;
      comp.texto=polyControl[6][lang];
    }
    else if((comp.press() == true)) {
      ylock = true;   
      comp.texto=polyControl[7][lang];   

      xlock =  false;
      temp.texto=polyControl[6][lang];
    }
  }
  if((etapaAvanca.press()==true)&&(etapaEnd==false)) {
    etapa++;
    flow=true;
    countRedraw = 3;
  }
  if((etapaVolta.press()==true)&&(etapa>0)) {
    etapa--;
    flow=false;
    countRedraw = 3;
  }
}

void mouseReleased() {
  redraw();
  credito.mouseReleased();  
  diagrama[0].release();
  diagrama[1].release();
  diagrama[2].release();
  explicar.release();
  back.release();
  comp.release();
  temp.release();
  etapaAvanca.release();
  etapaVolta.release();
  ajuda.release();
  language.release();
}

void manageButtons() {
  if(tipo == 0) {
    diagrama[0].display();
    diagrama[1].display();
    diagrama[2].display();
    language.update();
    //language.display();
    diagrama[0].update();
    diagrama[1].update();
    diagrama[2].update();
    //clicando no icone, clica no botão
    if((mouseY>293)&&(mouseY<403)) {
      if((mouseX>120)&&(mouseX<240)) diagrama[0].over=true;
      if((mouseX>408)&&(mouseX<530)) diagrama[1].over=true;
      if((mouseX>680)&&(mouseX<800)) diagrama[2].over=true;
    }

    if(credito.showCred) {
      diagrama[0].over=false;
      diagrama[1].over=false;
      diagrama[2].over=false;
    }
  } 

  else {
    back.display();
    comp.display();
    temp.display();
    ajuda.display();
    if(!hideExplainBeta) explicar.display();
    imageMode(CENTER);


    Comp1.display();
    Comp2.display();
    Temp.display();

    if((explain&&((tipo==2&&etapa<2)||(tipo==3&&etapa<3)))) {
      fill(209);
      rect(719,146,60,13);
      rect(719,205,60,13);
      rect(719,230,60,13);
    }
    imageMode(CORNER);

    explicar.update();
    ajuda.update();
    comp.update();
    temp.update();
    if(explain) {
      if(!etapaEnd) etapaAvanca.display();
      etapaAvanca.update(); 

      if(etapa>0)  etapaVolta.display();
      etapaVolta.update();
    }
  }
  back.update(); //WATCH!
}

void mouseClicked() { 
  redraw();
  Temp.mouseClicked();
  Comp1.mouseClicked();
  Comp2.mouseClicked();
}

boolean AUX_PulseSwitch(int time) { 
  /*   Changes return value (true or false) every TIME milliseconds.
   Keeps returning TRUE for TIME milliseconds, then FALSE for the next TIME milliseconds,
   then TRUE again for the next TIME milliseconds, and so on. Based on millis(), thus
   counting of time is global, dependent on when process-runtime
   */
  boolean returnvalue;
  redraw();
  returnvalue = (millis() % (time*2) <= time) ? (true) : (false);
  return returnvalue;
}

void keyPressed() {
  redraw();
  if (key == ENTER) {
    if (tipo==1) { 
      if(Comp1.OnFocus==true) {
        xcursor = -((Comp1.getData())/100*(678-70))+678;
        composicao();
        Comp2.setData(composicao);
      }
      else {
        xcursor = ((Comp2.getData())/100*(678-70))+70;
        composicao();
        Comp1.setData(100-composicao);
      }
      if(Temp.getData()>1000)  ycursor = ((Temp.getData()-1000)*(70-539)/600+539);
      else {
        Temp.setData(1000);
        ycursor = ((Temp.getData()-1000)*(70-539)/600+539);
      }
    }

    if (tipo==2) {
      if(Comp1.OnFocus==true) {
        xcursor = -((Comp1.getData())/100*(678-70))+678;
        composicao();
        Comp2.setData(composicao);
      }
      else {
        xcursor = ((Comp2.getData())/100*(678-70))+70;
        composicao();
        Comp1.setData(100-composicao);
      }
      ycursor = (Temp.getData()*(70-539)/350+539);
    }

    if (tipo==3) {
      if(Comp1.OnFocus==true) {
        xcursor=(((100-Comp1.getData()))/6.7*(678-70))+70;
        composicao();         
        Comp2.setData(composicao);
      }
      else {
        xcursor=((Comp2.getData())/6.7*(678-70))+70;
        composicao();
        Comp1.setData(100-composicao);
      }

      if(Temp.getData()>400)  ycursor = ((Temp.getData()-400)*(70-539)/1200+539);


      else {
        Temp.setData(400);
        ycursor = ((Temp.getData()-400)*(70-539)/1200+539);
      }
    }

    // função fase (checa a fase da região do diagrama) 
    Fase(); 
    // função alavanca (faz a regra da alavanca e dá a composição percentual)
    Alavanca();
    // Desenho(W2, fase);


    mouseDragged();
    countRedraw = 3;
  }

  Comp1.keyPressed();
  Comp2.keyPressed();
  Temp.keyPressed();
}

