float Agrao;
//Desenha, num PGraphics, a microestrutura da liga
//definindo cores das fases 

void Desenho(float W2, String fase) { 
  pg.beginDraw();
  pg.background(255);

  if(fase == "LÍQUIDO+ALFA") {
    pg.background(240);
    pg.fill(ALFA);
    if(tipo==1) {
      cresceGrao(W2, pg,false);
      DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
    }
    if(tipo==2) {
      cresceGrao(1-W2,pg,false);
      DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
    }
  }
  if(fase == "LÍQUIDO+BETA") {
    pg.background(240);
    pg.fill(BETA);
    cresceGrao(W2,pg, false);
    DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
  }
  if((fase == "LÍQUIDO+GAMA")||(fase=="LÍQUIDO+AUSTENITA")) {
    pg.background(240);
    pg.fill(GAMA);
    cresceGrao( 1-W2,pg,false);
    DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
  }
  if((fase =="LÍQUIDO+FERRITA (DELTA)")) {
    pg.background(240);
    pg.fill(DELTA);
    cresceGrao(1-W2,pg,false);
    DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
  }
  if(fase == "LÍQUIDO+CEMENTITA") {
    if(xcursor==678) {      
      pg.fill(FE3C);
      DrawGrao(pg, 0, 1);
      DrawGrao(pg, 1, 1 );
      DrawGrao(pg, 2, 1);
      DrawGrao(pg, 3, 1);
    }
    else {
      pg.background(240);
      pg.fill(FE3C);
      cresceGrao(W2,pg,false);
      DrawGrao(pg, 0, 0);//por algum motivo, isso acaba com os problemas gerados pelo JAVA2D
    } 
  }  

  //Desenha as fases LÍQUIDO +,  crescendo grãos simples com cresceGrao
  // desenha as fases monofásicas
  if((fase == "ALFA")||(fase == "BETA")||(fase=="FERRITA (ALFA)")||(fase=="FERRITA (DELTA)")||(fase=="FERRITA (ALFA)")||(fase=="AUSTENITA")) {
    if(fase == "BETA") pg.fill(BETA);
    if((fase=="AUSTENITA")) pg.fill(GAMA);
    if((fase=="FERRITA (DELTA)")) pg.fill(DELTA);
    if((fase == "ALFA")||(fase=="FERRITA (ALFA)")) pg.fill(ALFA);

    DrawGrao(pg, 0, 1);
    DrawGrao(pg, 1, 1 );
    DrawGrao(pg, 2, 1);
    DrawGrao(pg, 3, 1);
  }

  // fazendo as fases com estrutura lamelar
  if(fase == "ALFA+BETA") {  
    //desenhas as precipitacoes, usando randomSeed para controle
    if (((xcursor -70)/(678-70)) < 0.183) {
      pg.fill(ALFA);
      DrawGrao(pg, 0, 1);
      DrawGrao(pg, 1, 1 );
      DrawGrao(pg, 2, 1 );
      DrawGrao(pg, 3, 1);     
      pg.stroke(BETA);
      precipita(W2);  
      pg.stroke(0);
    }
    if (((xcursor -70)/(678-70)) > 0.958) {
      pg.fill(BETA);
      DrawGrao(pg, 0, 1);
      DrawGrao(pg, 1, 1 );
      DrawGrao(pg, 2, 1 );
      DrawGrao(pg, 3, 1);   
      pg.stroke(ALFA);
      precipita(1-W2);  
      pg.stroke(0);
    }   

    if((((xcursor -70)/(678-70)) > 0.183)&&((xcursor -70)/(678-70))<0.62) {
      Textura(1-W2, fase, false);   //attention
      DrawTextured(1, fase, false, false); 
      pg.fill(ALFA);
      cresceGrao(1- ((xcursor - 178)/(445 - 178)),pg, false);
    }
    if((((xcursor -70)/(678-70)) > 0.62)&&((xcursor - 79)/(678-70))<0.958) {
      Textura(W2, fase, false);  
      DrawTextured(1,fase, false, false); 
      pg.fill(BETA);
      cresceGrao((xcursor - 432)/(635-432),pg,false);
    }
  }

  if(fase=="FERRITA (ALFA)+AUSTENITA") { 
    //desenha as estruturas não eutéticas 

    pg.background(ALFA);
    pg.fill(GAMA);
    DrawGrao(pg, 0, sqrt(W2));
    DrawGrao(pg, 1, sqrt(W2));
    DrawGrao(pg, 2, sqrt(W2));
    DrawGrao(pg, 3, sqrt(W2));       
    pg.endDraw();
  }

  if(fase=="AUSTENITA+CEMENTITA") { 
    //desenha as estruturas não eutéticas 
    if(xcursor<=622) {
      pg.background(FE3C);
      pg.fill(GAMA);
      DrawGrao(pg, 0, sqrt(1-W2));
      DrawGrao(pg, 1, sqrt(1-W2));
      DrawGrao(pg, 2, sqrt(1-W2));
      DrawGrao(pg, 3, sqrt(1-W2));       
      pg.endDraw();
    }

    if((xcursor  > 262)&&(xcursor<=461)) {
      Textura(W2, fase, true);   
      DrawTextured(1, fase, true, true); 

      pg.fill(GAMA);
      cresceGrao( 1-((xcursor - 262)/(461 - 262)), pg, false);
    }

    if((xcursor > 461)&&(xcursor<678)) {
      Textura(W2, fase, true);  
      DrawTextured(1,fase,true,true);  
      pg.fill(FE3C);
      cresceGrao((xcursor - 461)/(678-461),pg,false);
    }
    if(xcursor==678) {      
      pg.fill(FE3C);
      DrawGrao(pg, 0, 1);
      DrawGrao(pg, 1, 1 );
      DrawGrao(pg, 2, 1);
      DrawGrao(pg, 3, 1);
    }
  }
  if(fase=="FERRITA (DELTA)+AUSTENITA") { 
    //desenha as estruturas não eutéticas 
    pg.background(GAMA);
    pg.fill(DELTA);
    DrawGrao(pg, 0, sqrt(1-W2));
    DrawGrao(pg, 1, sqrt(1-W2));
    DrawGrao(pg, 2, sqrt(1-W2));
    DrawGrao(pg, 3, sqrt(1-W2));       
    pg.endDraw();
  }
  if(fase=="PERLITA") { 
    //desenha as estruturas não eutéticas 
    // Textura(W2, fase);  
    if(xcursor<=262) {
      if(xcursor<140) {         
        Textura(1-W1, fase,false);  
        pg.background(ALFA);
        DrawTextured((sqrt(1-W2)), fase, false,false);
      }
      else {
        Textura(W1, fase,false);  
        pg.background(FE3C);
        DrawTextured((sqrt(W2)), fase, false,false);
      }
    }
    else {
      if((xcursor  > 262)&&(xcursor<=461)) {
        Textura(1-W2, fase, true);   
        DrawTextured(1, fase, false, true ); 

        lamelar(W2, 0, fase, false);
        //image(lamelar1, 0,0);
        Textura(1-W2, fase, false);
        pgShape.background(255);
        pgMask1.background(0);
        cresceGrao( 1- ((xcursor - 262)/(461 - 262)),pg,true);
        cresceGrao( 1- ((xcursor - 262)/(461 - 262)),pgMask1,true);
        piMask = pgMask1.get(0, 0, width, height);
        pgShape.background(0);
        pgShape.image(lamelar1, 0, 0);
        pgShape.mask(piMask);
        pg.image(pgShape, 0,0);
        // Textura(W2, fase, false);
      }


      if((xcursor > 461)&&(xcursor<678)) {
        Textura(1-W2, fase, true);  
        DrawTextured(1,fase,true,true); 

        pg.fill(FE3C);
        cresceGrao((xcursor - 461)/(678-461),pg,false);
      }
      if(xcursor==678) {      
        pg.fill(FE3C);
        DrawGrao(pg, 0, 1);
        DrawGrao(pg, 1, 1 );
        DrawGrao(pg, 2, 1);
        DrawGrao(pg, 3, 1);
      }
    }
  }

  //fazendo a borda do pg
  pg.stroke(0);
  pg.line(0,0,pg.width,0);
  pg.line(0,0,0,pg.height);
  pg.line(pg.height-1,0,pg.width-1,pg.height-1);
  pg.line(0,pg.width-1,pg.width-1,pg.height-1);
}

//desenha precipitacoes de beta (ou alfa) em alfa (ou beta)
//como "retas" rotacionadas 

void precipita(float W2) {
  randomSeed(3); 
  float agrao = 0; //prcentagem de precipitado
  for(int i = 0; (agrao/10000)<W2; i++) {
    pg.pushMatrix();
    pg.translate(random(100), random(100));
    pg.rotate(random(PI));  
    pg.strokeWeight(random(1,2));
    pg.line(0, 4, 0,0) ;
    pg.popMatrix();
    agrao+=4*1.5;
  }
  pg.strokeWeight(1);
}










